| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.RasterPos

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 2.13 (Current Raster Position) of the OpenGL 2.1 specs.
Documentation

currentRasterPosition :: StateVar (Vertex4 GLfloat) | Source

class RasterPosComponent a | Source

Instances

RasterPosComponent GLdouble
RasterPosComponent GLfloat
RasterPosComponent GLint
RasterPosComponent GLshort

class RasterPos a where | Source

Methods

rasterPos :: a -> IO () | Source

rasterPosv :: Ptr a -> IO () | Source

Instances

RasterPosComponent a => RasterPos (Vertex2 a)
RasterPosComponent a => RasterPos (Vertex3 a)
RasterPosComponent a => RasterPos (Vertex4 a)

class WindowPosComponent a | Source

Instances

WindowPosComponent GLdouble
WindowPosComponent GLfloat
WindowPosComponent GLint
WindowPosComponent GLshort

class WindowPos a where | Source

Methods

windowPos :: a -> IO () | Source

windowPosv :: Ptr a -> IO () | Source

Instances

WindowPosComponent a => WindowPos (Vertex2 a)
WindowPosComponent a => WindowPos (Vertex3 a)

currentRasterDistance :: GettableStateVar GLfloat | Source

currentRasterColor :: GettableStateVar (Color4 GLfloat) | Source

currentRasterSecondaryColor :: GettableStateVar (Color4 GLfloat) | Source

currentRasterIndex :: GettableStateVar (Index1 GLint) | Source

currentRasterTexCoords :: GettableStateVar (TexCoord4 GLfloat) | Source

currentRasterPositionValid :: GettableStateVar Bool | Source

rasterPositionUnclipped :: StateVar Capability | Source

Produced by Haddock version 2.4.2